/*
 * @Author: zhuangzhou zhuangzhou@btioe.com
 * @Date: 2022-05-04 18:04:29
 * @LastEditors: zhuangzhou zhuangzhou@btioe.com
 * @LastEditTime: 2022-05-04 19:24:39
 * @FilePath: /mlmt-mini/src/utils/config.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import resource from './resource'
import ossurl from './ossurl'
export const NAME = '燚火漫域'

export const VERSION = '1.0.4'

//是否生产环境
export const IS_PRODUCT = process.env.VUE_APP_ENV === 'PRODUCT'

//多环境地址 http://192.168.0.131:8080 https://mm.supermarts.cn
export const SERVICE_URL = 'https://mm.supermarts.cn:441'
// export const SERVICE_URL = 'http://192.168.0.131:9201'
export const WX_APP_ID = 'wxb38b160aeb80f357'

export const WX_PUSH_MESSAGE_ID = ['F6O1d3mWNtlKTitpewGs3wJVYP7G-iFCc04fHD6sBrI']

export const H5 = {
    user: {
        title: '用户协议',
        url: resource.html_user
    },
    privacy: {
        title: '隐私协议',
        url: resource.html_privacy
    },
    moli: {
        title: '宝箱',
        url: resource.html_magic
    },
    mall: {
        title: '商城',
        url: resource.html_mall
    },
    room: {
        title: '福利房协议',
        url: resource.html_room
    }
}

export const LEVEL_MAP = {
    A: {
        title: '超神款',
        color: '#F4212E',
        bgColor: '#F4212E',
        bg: ossurl.box.detail.levelA,
        titleImg: ossurl.box.detail.levelTextA,
        titleText: ossurl.box.detail.levelTextA,
        titleSmallText: resource.award_level_A_small_text,
        lotteryBtn: resource.lottery_level_btn_A
    },
    B: {
        title: '欧皇款',
        color: '#FFBD00',
        bgColor: '#FFBD00',
        bg: ossurl.box.detail.levelB,
        titleImg: ossurl.box.detail.levelTextB,
        titleText: ossurl.box.detail.levelTextB,
        titleSmallText: resource.award_level_B_small_text,
        lotteryBtn: resource.lottery_level_btn_B
    },
    C: {
        title: '隐藏款',
        color: '#812AAD',
        bgColor: '#812AAD',
        bg: ossurl.box.detail.levelC,
        titleImg: ossurl.box.detail.levelTextC,
        titleText: ossurl.box.detail.levelTextC,
        titleSmallText: resource.award_level_C_small_text,
        lotteryBtn: resource.lottery_level_btn_C
    },
    D: {
        title: '普通款',
        color: '#6BA7F9',
        bgColor: '#6BA7F9',
        bg: ossurl.box.detail.levelD,
        titleImg: ossurl.box.detail.levelTextD,
        titleText: ossurl.box.detail.levelTextD,
        titleSmallText: resource.award_level_D_small_text,
        lotteryBtn: resource.lottery_level_btn_D
    },
    KING: {
        title: '魔王款',
        color: '#FD7577',
        bgColor: '#FD7577',
        bg: resource.award_level_KING_bg,
        titleImg: resource.award_level_KING_title,
        titleText: resource.award_level_KING_text,
    },
    LAST: {
        title: '最终赏',
        color: '#B978FF',
        bgColor: '#B978FF',
        bg: resource.award_level_Normal_bg,
        titleImg: resource.award_level_LAST_title,
        titleText: resource.award_level_LAST_text,
        lotteryBtn: resource.lottery_level_btn_C
    },
    FIRST: {
        title: '抢先赏',
        color: '#B978FF',
        bgColor: '#B978FF',
        bg: resource.award_level_Normal_bg,
        titleImg: resource.award_level_FIRST_title,
        titleText: resource.award_level_FIRST_text,
        lotteryBtn: resource.lottery_level_btn_C
    },
    GIFT: {
        title: '赠品',
        color: '#B978FF',
        bgColor: '#B978FF',
        bg: resource.award_level_Normal_bg,
        titleImg: resource.award_level_GIFT_title,
        titleText: resource.award_level_GIFT_text,
        lotteryBtn: resource.lottery_level_btn_C
    },
    SUBSTITUTE: {
        title: '置换款',
        color: '#59FD9D',
        bgColor: '#59FD9D',
        bg: resource.award_level_SUBSTITUTE_bg,
        titleText: resource.award_level_SUBSTITUTE_text
    }
}
