/*
 * @Author: zhuangzhou zhuangzhou@btioe.com
 * @Date: 2022-05-04 15:40:53
 * @LastEditors: zhuangzhou zhuangzhou@btioe.com
 * @LastEditTime: 2022-05-04 17:59:16
 * @FilePath: /mlmt-mini/vue.config.js
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
'use strict'
const path = require('path')

function resolve(dir) {
    return path.join(__dirname, dir)
}

const name = 'mlmt-mini'
module.exports = {
    lintOnSave: process.env.NODE_ENV === 'development',
    // 路径别名
    configureWebpack: {
        name: name,
        resolve: {
            extensions: ['.js', '.vue', '.json', '.jsx', '.mjs'],
            alias: {
                '@': resolve(''),
                '@/components': resolve('@/components'),
                '@/assets': resolve('@/assets'),
                '@/static/image': resolve('@/static/image'),
                '@/utils': resolve('@/utils'),
                '@/page': resolve('@/pages'),
                '@/service': resolve('@/service'),
                '@/store': resolve('@/store'),
                '@/utils/resource': resolve('@/utils/resource'),
                '@/mixin': resolve('@/mixin'),
            }
        }
    }
}
